positions
curl --request GET \
--url https://api.jup.ag/lend/v1/earn/positions \
--header 'x-api-key: <api-key>'import requests
url = "https://api.jup.ag/lend/v1/earn/positions"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.jup.ag/lend/v1/earn/positions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"token": {
"id": "So11111111111111111111111111111111111111112",
"address": "So11111111111111111111111111111111111111112",
"name": "Wrapped SOL",
"symbol": "SOL",
"decimals": 9
},
"ownerAddress": "BQ72nSv9f3PRyRKCBnHLVrerrv37CYTHm5h3s9VSGQDV",
"shares": "100000000",
"underlyingAssets": "103448300",
"underlyingBalance": "17.72",
"allowance": "1000000000"
}
]Earn
Positions
Request for the position data of one or multiple users
GET
/
earn
/
positions
positions
Authorizations
Get API key via https://developers.jup.ag/portal
Query Parameters
User wallet addresses (comma separated)
Response
200 - application/json
Successful response
Show child attributes
Show child attributes
- Address of user's wallet
- Balance of user's jlTokens
- Balance of user's USDC in protocol (including intereste accured)
- Balance of user's USDC in wallet
Was this page helpful?
⌘I
